echo off
cls
if not exist fs5.com goto wrongdir
echo Installing New Zealand for FS5 - Please wait ...

cd scenery

rem ---------------------------------
rem Rename any existing NZ files
rem ---------------------------------

if exist akterm.bgl     ren akterm.bgl   akterm.saf
if exist akterm1.bgl    ren akterm1.bgl  akterm1.saf
if exist mteg.bgl       ren mteg.bgl     mteg.saf
if exist tpterm.bgl     ren tpterm.bgl   tpterm.saf
if exist whterm.bgl     ren whterm.bgl   whterm.saf
if exist nzbld.bgl      ren nzbld.bgl    nzbld.saf
if exist nzbld2.bgl     ren nzbld2.bgl   nzbld2.saf
if exist tdyn.bgl       ren tdyn.bgl     tdyn.saf
if exist text.bgl       ren text.bgl     text.saf
if exist nzalt.bgl      ren nzalt.bgl    nzalt.saf
if exist auckland.bgl   ren auckland.bgl auckland.saf
if exist building.bgl   ren building.bgl building.saf
if exist coast.bgl      ren coast.bgl    coast.saf
if exist test.bgl       ren test.bgl     test.saf
if exist nzriv.bgl      ren nzriv.bgl    nzriv.saf
if exist dot_line.bgl   ren dot_line.bgl dot_line.saf
if exist ack.bgl        ren ack.bgl      ack.saf
if exist tp.bgl         ren tp.bgl       tp.saf
if exist tp1.bgl        ren tp1.bgl      tp1.saf  
if exist gz1.bgl        ren gz1.bgl      gz1.saf
if exist gz2.bgl        ren gz2.bgl      gz2.saf
if exist gz3.bgl        ren gz3.bgl      gz3.saf
if exist gz4.bgl        ren gz4.bgl      gz4.saf
if exist nz.bgl         ren nz.bgl       nz.saf
if exist nz2.bgl        ren nz2.bgl      nz2.saf

rem ---------------------------------
rem Delete any files that couldnt be renamed
rem ---------------------------------


if exist akterm.bgl     del akterm.bgl
if exist akterm1.bgl    del akterm1.bgl
if exist mteg.bgl       del mteg.bgl
if exist tpterm.bgl     del tpterm.bgl
if exist whterm.bgl     del whterm.bgl
if exist nzbld.bgl      del nzbld.bgl
if exist nzbld2.bgl     del nzbld2.bgl
if exist tdyn.bgl       del tdyn.bgl
if exist text.bgl       del text.bgl
if exist nzalt.bgl      del nzalt.bgl
if exist auckland.bgl   del auckland.bgl
if exist building.bgl   del building.bgl
if exist coast.bgl      del coast.bgl
if exist test.bgl       del test.bgl
if exist nzriv.bgl      del nzriv.bgl
if exist dot_line.bgl   del dot_line.bgl
if exist ack.bgl        del ack.bgl
if exist tp.bgl         del tp.bgl
if exist tp1.bgl        del tp1.bgl  
if exist gz1.bgl        del gz1.bgl
if exist gz2.bgl        del gz2.bgl
if exist gz3.bgl        del gz3.bgl
if exist gz4.bgl        del gz4.bgl
if exist nz.bgl         del nz.bgl
if exist nz2.bgl        del nz2.bgl

cd ..
cd texture

if exist burb.r8        ren burb.r8      burb.saf
if exist medrise.r8     ren medrise.r8   medrise.saf

if exist burb.r8        del burb.r8   
if exist medrise.r8     del medrise.r8

cd ..

cd texture
..\pkunzip ..\nzv3 *.r8 -o
..\pkunzip ..\nzv3 *.pal -o
cd ..

cd pilots
..\pkunzip ..\nzv3 *.stn -o
cd ..

cd scenery
..\pkunzip ..\nzv3 *.bgl -o
cd ..

del nz_v3.zip
del nzv3.zip

cls
echo New Zealand has been installed !!!

goto end

:wrongdir
echo You are in the wrong directory !!!
echo This batch file must be run from your FS5 directory
:end
