echo off
cls
echo 
echo                     ****************************************
echo                     *                                      *
echo                     *   CAPE TOWN - SOUTH AFRICA SCENERY   *
echo                     *  FOR MICROSOFT FLIGHT SIMULATOR 5.1  *
echo                     *                                      *
echo                     ****************************************
echo 

if not exist %1\fs5.com goto parmerr

echo    Don't forget to read the ducumentation! It contains detailed information
echo    on how to add this scenery in the World Menu of Flight Simulator 5.1. This
echo    installer will only create the nessecary directories on your Hard Disk and
echo    install the files in there. It will not add the scenery to the World Menu.
echo 
echo    PLEASE NOTE: This version of the Cape Town Scenery for Flight Simulator 5
echo    will NOT work on Flight Simulator 5.0a.
echo 
echo    Press any key to continue now or CTRL & BREAK to abort the Instalation.
echo 
pause

cls
echo 
echo 
echo Installing Files... Stick around!
echo 
if exist %1\AFRICA\SCENERY\afrbgl.bgl goto SKIP
echo Creating Directories...
mkdir %1\AFRICA
mkdir %1\AFRICA\SCENERY
mkdir %1\AFRICA\TEXTURE

:SKIP
echo Installing Scenery Files...
pkunzip -o part.001 %1\AFRICA\SCENERY >nul
echo Installing Texture Files...
pkunzip -o part.002 %1\AFRICA\TEXTURE >nul
echo Installing Documentation Files...
pkunzip -o part.003 %1\AFRICA >nul
if exist %1\TEXTURE\munich.r8 goto FIN
copy %1\TEXTURE\cropss.r8 %1\TEXTURE\munich.r8 >nul

:FIN
echo 
echo Done!
echo 
echo 
echo All the files have now been installed in a seperate direcory called
echo AFRICA under your Flight Simulator 5.1 directory. The documentation 
echo for this scenery has been installed into AFRICA. Please read it now.
echo 
pause
cd %1\AFRICA
goto QUIT

:PARMERR
echo 
echo 
echo USAGE   -  INSTALL Target Drive and Directory
echo Example -  INSTALL C:\FLTSIM5
echo 

:QUIT
